CREATE TABLE fnd_setid_sets (
    ENTERPRISE_ID        NUMBER(18, 0) ,
    SET_ID               NUMBER(18, 0) ,
    SET_CODE             VARCHAR2(120)     NOT NULL,
    SET_NAME             VARCHAR2(320)     NOT NULL,
    DESCRIPTION          VARCHAR2(4000),
    LANGUAGE             VARCHAR2(16)  ,
    SOURCE_LANG          VARCHAR2(16)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    ENTERPRISE_ID        NUMBER(18, 0) ,
    SET_ID               NUMBER(18, 0) ,
    SET_CODE             VARCHAR2(120)     NOT NULL,
    SET_NAME             VARCHAR2(320)     NOT NULL,
    DESCRIPTION          VARCHAR2(4000),
    LANGUAGE             VARCHAR2(16)  ,
    SOURCE_LANG          VARCHAR2(16)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fnd_setid_sets PRIMARY KEY (ENTERPRISE_ID, SET_ID, LANGUAGE, ENTERPRISE_ID, SET_ID, LANGUAGE)
);
